------------------------------------------------------------------------------------
--Name:  	zhongxia5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-08-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(40, 40)
local Player_1 = CppScriptMgr:AddPlayer(106, 42, 42, "", 0, 0)
Player_1:SetDir(5)
Player_1:SetZoomPercent(300)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(48, 37)
Player_2:SetDir(1)
Player_2:SetAction(1111)
local Effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 42, 42, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(490)
Player_2:Say("Die!!!", 2000)
CppScriptMgr:WaitMilSec(1160)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233", 42, 42, 33, 1, 1, 1)
effect_2:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(250)
ChangeNpcZoom(Player_1, 300, 0, 10, 33)
CppScriptMgr:WaitMilSec(250)
local effect_1 = CppScriptMgr:AddEffect("yiguidz_3112", 42, 42, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1450)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(430)
local Effect_2 = CppScriptMgr:AddEffect("QiFuLev1", 48, 37, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_4 = CppScriptMgr:AddEffect("cyclonexian", 42, 42, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(460)
local Player_3 = CppScriptMgr:AddSimplePlayer(1062460, 42, 42, "Lavender", 0, 0)
Player_3:SetDir(5)
Player_3:AddPartEffect("zuji_5_1", 2, 33)
CppScriptMgr:WaitMilSec(870)
Player_2:JumpTo(44, 40)
CppScriptMgr:WaitMilSec(140)
Player_3:SetAction(1111)
Player_3:Say("Congrats! You`ve reclaimed Sakura Grace and Falling Sakura!", 5000)
CppScriptMgr:WaitMilSec(3430)
Player_2:Say("Exterminating demons and defending justice is my duty!", 1500)
Player_2:SetAction(200)
CppScriptMgr:WaitMilSec(2970)